/**----------------------------------------------------
 * File:      ToolBarDrawingButton.java
 * Package:   at.hoertler.svgeditor.display.toolbar
 * Project:   SVGEditor
 * ----------------------------------------------------
 * @author Philipp Hörtler BSc
 * @version 1.0.0
 * Date: 2013-03-24
 * ----------------------------------------------------
 * Description:
 * 
 * The ToolBarDrawingButton is used to create a given SVGElement.
 */
package at.hoertler.svgeditor.display.toolbar;

import at.hoertler.svgeditor.options.OptionManager;
import at.hoertler.svgeditor.svg.elements.SVGElement;
import javax.swing.Icon;

public class ToolBarDrawingButton extends ToolBarButton {

    private SVGElement element = null;
    private OptionManager optionManager = null;

    /**
     * @return the element
     */
    public SVGElement getElement() {
        SVGElement elem = this.element.getInstance();
        this.optionManager.setElementOptions(elem);
        //elem.setMode(SVGElement.Mode.InitialCreate);
        //elem.select();
        return elem;
    }

    public ToolBarDrawingButton(String name, ToolBarManager tbm, OptionManager om, SVGElement elem) {
        this(name, name, tbm, om, elem);
    }

    public ToolBarDrawingButton(String name, String toolTipText, ToolBarManager tbm, OptionManager om, SVGElement elem) {
        super(name, toolTipText, tbm);
        this.optionManager = om;
        this.element = elem;
        this.setIcon(this.createIcon());
    }

    @Override
    protected Icon createIcon() {
        return this.getElement().getIcon();
    }
}
