 /**----------------------------------------------------
 * File:      ElementManagerStateEvent.java
 * Package:   at.hoertler.svgeditor.event
 * Project:   SVGEditor
 * ----------------------------------------------------
 * @author Philipp Hörtler BSc
 * @version 1.0.0
 * Date: 2013-03-24
 * ----------------------------------------------------
 * Description:
 * 
 * 
 */
package at.hoertler.svgeditor.event;

import java.awt.Point;

public class ElementManagerStateEvent {

  public enum Type {
    hasSelectedElements, hasElements, canRedo, canUndo, isInCompositeEditMode, openedImage
  };
  
  private Type type;
  private boolean state;
  private Object value;

  public ElementManagerStateEvent(Type t, boolean s) {
    this(t,s,null);
  }
  
  public ElementManagerStateEvent(Type t, boolean s, Object val) {
    this.type = t;
    this.state = s;
    this.value = val;
  }

  /**
   * @return the type
   */
  public Type getType() {
    return type;
  }

  /**
   * @param type the type to set
   */
  public void setType(Type type) {
    this.type = type;
  }
  
    /**
   * @return the state
   */
  public boolean isState() {
    return state;
  }

  /**
   * @param state the state to set
   */
  public void setState(boolean state) {
    this.state = state;
  }
  
  
  /**
   * @return the value
   */
  public Object getValue() {
    return value;
  }

  /**
   * @param value the value to set
   */
  public void setValue(Object value) {
    this.value = value;
  }
}