 /**----------------------------------------------------
 * File:      OptionChangedEvent.java
 * Package:   at.hoertler.svgeditor.event
 * Project:   SVGEditor
 * ----------------------------------------------------
 * @author Philipp Hörtler BSc
 * @version 1.0.0
 * Date: 2013-03-24
 * ----------------------------------------------------
 * Description:
 * 
 * 
 */
package at.hoertler.svgeditor.event;

import java.util.EventObject;

public class OptionChangedEvent {

  private Option option;
  private Object value;

  public enum Option {

    lineStrength, lineColor,
    fillColor,
    text, font, textColor, textSize, textAlignment, textOption,
    gridWideness, zoomFactor
  }

  /**
   * Constructs an OptionChangedEvent.
   *
   * @param option The option that is changed.
   * @param value  The value that the option is changed to.
   */
  public OptionChangedEvent(Option option, Object value) {
    this.setOption(option);
    this.setValue(value);
  }

  /**
   * @return the option
   */
  public Option getOption() {
    return option;
  }

  /**
   * @param option the option to set
   */
  public void setOption(Option option) {
    this.option = option;
  }

  /**
   * @return the value
   */
  public Object getValue() {
    return value;
  }

  /**
   * @param value the value to set
   */
  public void setValue(Object value) {
    this.value = value;
  }
}
