 /**----------------------------------------------------
 * File:      OptionPopUpCommitEvent.java
 * Package:   at.hoertler.svgeditor.event
 * Project:   SVGEditor
 * ----------------------------------------------------
 * @author Philipp Hörtler BSc
 * @version 1.0.0
 * Date: 2013-03-24
 * ----------------------------------------------------
 * Description:
 * 
 * 
 */
package at.hoertler.svgeditor.event;

import at.hoertler.svgeditor.event.OptionChangedEvent.Option;

public class OptionPopUpCommitEvent {
    private Object value;
    private Option option;
    private boolean closePopUp = true;

    /**
     * @return the option
     */
    public Option getOption() {
        return option;
    }

    /**
     * @param option the option to set
     */
    public void setOption(Option option) {
        this.option = option;
    }

    /**
     * @return the value
     */
    public Object getValue() {
        return value;
    }

    /**
     * @param value the value to set
     */
    public void setValue(Object value) {
        this.value = value;
    }
    
    public OptionPopUpCommitEvent(Option o, Object v) {
        this.option = o;
        this.value = v;
        this.setClosePopUp(true);
    }
    
    public OptionPopUpCommitEvent(Option o, Object v, boolean closePopUp) {
        this.option = o;
        this.value = v;
        this.setClosePopUp(closePopUp);
    }

    /**
     * @return the closePopUp
     */
    public boolean isClosePopUp() {
        return closePopUp;
    }

    /**
     * @param closePopUp the closePopUp to set
     */
    public void setClosePopUp(boolean closePopUp) {
        this.closePopUp = closePopUp;
    }
}
